Flows
Put records on a pipeline, update flow items and move them between stages.
- GET
/flows/{flowId}/states - POST
/flows/{flowId}/states - GET
/flows/states/{id} - PATCH
/flows/states/{id} - DELETE
/flows/states/{id} - POST
/flows/states/{id}/transition - POST
/flows/{flowId}/states/bulk - GET
/flows - POST
/flows - GET
/flows/{id} - PATCH
/flows/{id} - DELETE
/flows/{id}
List items in a flow
GET
/flows/{flowId}/statesScope
flows:viewRead-onlyPath parameters
| Name | Type |
|---|---|
flowIdrequired | string |
Query parameters
| Name | Type |
|---|---|
limit | number |
cursor | string |
sort | string |
dir | "asc" | "desc" |
filter | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/flows/{flowId}/states?limit=25" \ -H "Authorization: Bearer $KLERC_TOKEN"Add a record to a flow
POST
/flows/{flowId}/statesScope
flows:useWrites dataPath parameters
| Name | Type |
|---|---|
flowIdrequired | string |
Request body
| Field | Type |
|---|---|
record | string |
stage | string |
data | object |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/flows/{flowId}/states" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"record":"…","stage":"…","data":{}}'Get a flow item by id
GET
/flows/states/{id}Scope
flows:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/flows/states/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a flow item
PATCH
/flows/states/{id}Scope
flows:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Request body
| Field | Type |
|---|---|
data | object |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/flows/states/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"data":{}}'Remove an item from a flow
DELETE
/flows/states/{id}Scope
flows:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/flows/states/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Move a flow item to another stage
POST
/flows/states/{id}/transitionScope
flows:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Request body
| Field | Type |
|---|---|
stage | string |
toStage | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/flows/states/{id}/transition" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"stage":"…","toStage":"…"}'Bulk-enroll records into a flow
POST
/flows/{flowId}/states/bulkScope
flows:useWrites dataPath parameters
| Name | Type |
|---|---|
flowIdrequired | string |
Request body
| Field | Type |
|---|---|
recordsrequired | array of object |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/flows/{flowId}/states/bulk" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"records":[{}]}'List flows (pipelines)
GET
/flowsScope
flows:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/flows" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a flow (pipeline)
POST
/flowsScope
flows:manageWrites dataRequest body
| Field | Type |
|---|---|
namerequired | string |
pluralName | string |
slug | string |
object | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/flows" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name":"…","pluralName":"…","slug":"…","object":"…"}'Get a flow (pipeline)
GET
/flows/{id}Scope
flows:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/flows/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a flow (pipeline / stages)
PATCH
/flows/{id}Scope
flows:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/flows/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete a flow (pipeline)
DELETE
/flows/{id}Scope
flows:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/flows/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"